# Uses of Interface
com.sun.source.tree.ErroneousTree

Packages that use ErroneousTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of ErroneousTree in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type ErroneousTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitErroneous(ErroneousTree node, P p)`
Visits an `ErroneousTree` node.

## Uses of ErroneousTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type ErroneousTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitErroneous(ErroneousTree node, P p)`
Visits an `ErroneousTree` node.
`R`
TreeScanner.`visitErroneous(ErroneousTree node, P p)`
Visits an `ErroneousTree` node.